Subject: Re: [PATCH net-next RFC] net: introduce skb_poison_list and use in kfree_skb_list

From: Jakub Kicinski <[email-masked]>
Date: Tue, 24 Jan 2023 18:11:00 -0800

On Fri, 20 Jan 2023 12:46:39 +0100 Jesper Dangaard Brouer wrote:
> First user of skb_poison_list is in kfree_skb_list_reason, to catch bugs
> earlier like introduced in commit eedade12f4cb ("net: kfree_skb_list use
> kmem_cache_free_bulk").
> 
> In case of a bug like mentioned commit we would have seen OOPS with:
>  general protection fault, probably for non-canonical address 0xdead0000000000b1
> And content of one the registers e.g. R13: dead000000000041
> 
> In this case skb->len is at offset 112 bytes (0x70) why fault happens at
>  0x41+0x70 = 0xB1

I like the idea, FWIW. I was gonna apply the RFC but looks like there
was a dependency on the fix, so better if you repost and bot gets to
chew on it.